import request from '@/utils/request'

// 查询企业公示_许可信息列表
export function listLicense(query) {
  return request({
    url: '/basicData/xcrEnterprisePublicityLicense/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业公示_许可信息详细
export function getLicense(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicityLicense/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业公示_许可信息
export function addLicense(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicityLicense',
    method: 'post',
    data: data
  })
}

// 修改企业公示_许可信息
export function updateLicense(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicityLicense',
    method: 'put',
    data: data
  })
}

// 删除企业公示_许可信息
export function delLicense(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicityLicense/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delLicenseBatch(ids) {
  return request.post('/basicData/xcrEnterprisePublicityLicense/delete',ids)
}
